<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee
		  http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
         version="2.5">

    <context-param>
        <param-name>contextConfigLocation</param-name>
        <param-value>classpath:applicationContext.xml</param-value>
    </context-param>

    <listener>
        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
    </listener>

    <listener>
        <listener-class>org.apache.struts2.tiles.StrutsTilesListener</listener-class>
    </listener>

    <listener>
        <listener-class>en.dlink.util.Initializer</listener-class>
    </listener>

    <servlet>
        <servlet-name>Download</servlet-name>
        <servlet-class>en.dlink.action.general.Download</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DownloadFromModem</servlet-name>
        <servlet-class>servlet.DownloadFromModem</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>Upload</servlet-name>
        <servlet-class>servlet.Upload</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ReadFile</servlet-name>
        <servlet-class>servlet.ReadFile</servlet-class>
    </servlet>


    <servlet-mapping>
        <servlet-name>Download</servlet-name>
        <url-pattern>/download</url-pattern>
    </servlet-mapping>

        <servlet-mapping>
        <servlet-name>DownloadFromModem</servlet-name>
        <url-pattern>/config</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>Upload</servlet-name>
        <url-pattern>/upload</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>ReadFile</servlet-name>
        <url-pattern>/readFile</url-pattern>
    </servlet-mapping>

    <filter>
        <filter-name>struts2</filter-name>
        <filter-class>org.apache.struts2.dispatcher.ng.filter.StrutsPrepareAndExecuteFilter</filter-class>
    </filter>

    <filter>
        <filter-name>JspFilter</filter-name>
        <filter-class>filter.JspFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>struts2</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>JspFilter</filter-name>
        <url-pattern>/pages/*</url-pattern>
        <url-pattern>/tiles/*</url-pattern>
    </filter-mapping>

</web-app>

